Last Comment Bug 254050 - l10n CVS request: Russian (ru-RU) - Alexander L. Slovesnik <als@mozilla.ru>
: l10n CVS request: Russian (ru-RU) - Alexander L. Slovesnik <als@mozilla.ru>
Status: RESOLVED FIXED
voucher, sshkey
:
Product: mozilla.org
Classification: Other
Component: Repository Account Requests (show other bugs)
: other
: x86 Windows XP
: -- normal (vote)
: ---
Assigned To: Marcia Knous [:marcia - use ni]
: Daniel (Leaf) Nunes
Mentors:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2004-08-02 13:25 PDT by Alexander L. Slovesnik
Modified: 2009-03-19 22:02 PDT (History)
3 users (show)
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---


Attachments
SSH Public Key (611 bytes, text/plain)
2004-08-28 10:00 PDT, Alexander L. Slovesnik
no flags Details

Description Alexander L. Slovesnik 2004-08-02 13:25:31 PDT
User-Agent:       Mozilla/5.0 (Windows; U; Windows NT 5.1; ru-RU; rv:1.7) Gecko/20040731 Firefox/0.9.1+
Build Identifier: Mozilla/5.0 (Windows; U; Windows NT 5.1; ru-RU; rv:1.7) Gecko/20040731 Firefox/0.9.1+

I'm requesting CVS access for localizing Firefox in Russian (ru-RU).
Just in case: my e-mail has been changed. On
http://www.mozilla.org/projects/l10n/mlp_otherproj.html#firefox there is my old
e-mail - als@sviblovo.ru. I've asked to change my e-mail in my post in
netscape.public.mozilla.l10n on 2 July. 

Reproducible: Always
Steps to Reproduce:
1.
2.
3.
Comment 1 Alexander L. Slovesnik 2004-08-03 11:02:02 PDT
Hi Marcia,
I've faxed in the form 3 hours ago.
I hope that Benjamin D. Smedberg is going to vouch for me;
Comment 2 Benjamin Smedberg AWAY UNTIL 2-AUG-2016 [:bsmedberg] 2004-08-03 11:51:27 PDT
Alexander, can you please attach (or post a weblink) to ZIPs of toolkit and
browser locale files that are ready for CVS? I would like to review the
directory structure of the files before vouching.
Comment 3 Alexander L. Slovesnik 2004-08-03 12:33:02 PDT
(In reply to comment #2)
> Alexander, can you please attach (or post a weblink) to ZIPs of toolkit and
> browser locale files that are ready for CVS? I would like to review the
> directory structure of the files before vouching.
Hi, Benjamin. Links are:
http://mozilla.ru/unghost/firefox/for_cvs/browser-ru-RU.zip
http://mozilla.ru/unghost/firefox/for_cvs/toolkit-ru-RU.zip
Comment 4 Benjamin Smedberg AWAY UNTIL 2-AUG-2016 [:bsmedberg] 2004-08-03 12:57:17 PDT
This looks good, I can vouch on this. Would you like me to commit these files,
or would you like to do it yourself when your account is activated?

Also, there were some minor differences you will need to fix (you may want to
wait until after the l10n-freeze).

*** toolkit ***
Files in en-US not in ru-RU:
  ./chrome/autoconfig
  ./chrome/global/nsWebBrowserPersist.properties
  ./chrome/global/xbl.properties
  ./chrome/mozapps/extensions/mismatch.dtd
  ./chrome/mozapps/extensions/update.dtd

*** browser ***
Entities in ./chrome/global/brand.dtd don't match:
  In en-US:
    releaseURL
Comment 5 Alexander L. Slovesnik 2004-08-03 13:14:50 PDT
(In reply to comment #4)
> This looks good, I can vouch on this. Would you like me to commit these files,
> or would you like to do it yourself when your account is activated?
> 
> Also, there were some minor differences you will need to fix (you may want to
> wait until after the l10n-freeze).
> 
> *** toolkit ***
> Files in en-US not in ru-RU:
>   ./chrome/autoconfig
>   ./chrome/global/nsWebBrowserPersist.properties
>   ./chrome/global/xbl.properties
>   ./chrome/mozapps/extensions/mismatch.dtd
>   ./chrome/mozapps/extensions/update.dtd
> 
> *** browser ***
> Entities in ./chrome/global/brand.dtd don't match:
>   In en-US:
>     releaseURL
> 

Benjamin, please commit it yourself. You have more experience.
I know about these differences. Actually, I've downloaded Firefox branch build
(Windows installer) 2 hours ago and make a translation. I didn't found in
en-US.jar file all these files. There is no /autoconfig catalog in en-US.jar in
all. And other files you mentioned are missing too. May be they present in Linux
or Mac build or obsolete or unused  - I don't know.
Comment 6 Benjamin Smedberg AWAY UNTIL 2-AUG-2016 [:bsmedberg] 2004-08-04 08:47:44 PDT
The ru-RU locale files have been initially committed in CVS. We will probably
need to make some changes to the search plugin list, once the
branding/customizing policy is finalized.
Comment 7 Alexander L. Slovesnik 2004-08-07 07:47:36 PDT
(In reply to comment #6)
> The ru-RU locale files have been initially committed in CVS. We will probably
> need to make some changes to the search plugin list, once the
> branding/customizing policy is finalized.
Benjamin, when you've checked in files, you forgot to check in one file from
browser-ru-RU.zip (browser-ru-RU.zip\searchplugins\mailru.png). So my build is
failing in the end with error:

make[4]: *** No rule to make target `ru-RU/searchplugins/mailru.gif', needed by
`libs'.  Stop. 

Could you please check in this file? I've put it at
http://mozilla.ru/unghost/firefox/for_cvs/mailru.gif for your convenience.
Thank a lot. 
Comment 8 Benjamin Smedberg AWAY UNTIL 2-AUG-2016 [:bsmedberg] 2004-08-09 08:02:44 PDT
extra .png file committed (I was only looking for .gif files, sorry).
Comment 9 Alexander L. Slovesnik 2004-08-28 10:00:47 PDT
Created attachment 157260 [details]
SSH Public Key

SSH Public Key (as Benjamin D. Smedberg asked in his letter)
Comment 10 Marcia Knous [:marcia - use ni] 2004-09-01 17:14:06 PDT
faxed form received.
Comment 11 Myk Melez [:myk] [@mykmelez] 2004-09-07 15:30:10 PDT
Ok, your account has been created.  Your username is "als%mozilla.ru" (note the
% in place of the @ in your email address).  Check out the repository via:

cvs -d:ext:als%mozilla.ru@cvs.mozilla.org:/l10n co mozilla

Reopen this bug if you have any problems accessing the repository.
Comment 12 Alexander L. Slovesnik 2004-09-07 16:35:20 PDT
(In reply to comment #11)
> Ok, your account has been created.  Your username is "als%mozilla.ru" (note the
> % in place of the @ in your email address).  Check out the repository via:
> 
> cvs -d:ext:als%mozilla.ru@cvs.mozilla.org:/l10n co mozilla
> 
> Reopen this bug if you have any problems accessing the repository.

I've just checked repository. Connection was successful and I've got mozilla
directory with all subdirectories created. However there were NO files created -
only empty directory structure.

I'm not sure is it bug with account or my CVS program (I'm using Cygwin under
Windows XP).
Comment 13 Benjamin Smedberg AWAY UNTIL 2-AUG-2016 [:bsmedberg] 2004-09-08 03:59:33 PDT
You're probably not using the branch tag in your checkout statement... try

cvs -d:ext:als%mozilla.ru@cvs.mozilla.org:/l10n co -r AVIARY_1_0_20040515_BRANCH
mozilla
Comment 14 Alexander L. Slovesnik 2004-09-08 05:52:56 PDT
(In reply to comment #13)
> You're probably not using the branch tag in your checkout statement... try
> 
> cvs -d:ext:als%mozilla.ru@cvs.mozilla.org:/l10n co -r AVIARY_1_0_20040515_BRANCH
> mozilla
Thanks for your help Benjamin. It's working OK now.


Note You need to log in before you can comment on or make changes to this bug.